nav {
padding-bottom: 16px;
padding: 0 1px;
margin-top: 20px;
width: 300px;
min-width: 300px;
max-width: 300px;
height: 100%;
letter-spacing: 0;
font-weight: 400;
background-color: white;
background-color: #f1f1f15e;
border-radius: 10px;
z-index: 1000;
}
.nav-content {
display: flex;
flex-direction: column;
width: 100%;
}
.nav-ul-1,
.nav-ul-2,
.nav-ul-3 {
width: 100%;
}
.nav-ul-1,
.nav-ul-3 {
position: relative;
border-bottom: 1px solid #f8f8f8;
z-index: 599;
}
.nav-ul-1 {
border-radius: 10px;
}
.nav-ul-3 {
z-index: 596;
 }
.nav-ul-2 {
padding: 0 2px;
visibility: hidden;
opacity: 0;
position: absolute;
width: 384px; /* Ширина меню nav-ul-2 */
/* padding-left: 60px; */
left: 296px;
top: 0;
transition: visibility 0s, opacity 0.2s linear;
transition-timing-function: linear;
z-index: 597;
background: linear-gradient(to left, rgba(0, 0, 0, 0) 360px, transparent 360px); /* Ширина меню nav-ul-2 білий фон */
padding-left: 0;
}
.nav-ul-2::before {
padding: 0 2px;
position: absolute;
content: "";
width: 360px; /* Ширина меню nav-ul-2::before */
height: 100%;
top: 0;
right: 0;
border: 1px solid lightgrey;
z-index: -1;
background-color: white;
border-radius: 10px; 
}
.nav-ul-1 > li,
.nav-ul-2 > li,
.nav-ul-3 > li {
padding-left: 14px;
display: flex;
flex-direction: row;
align-items: center;
justify-content: flex-start;
font-size: 17px;
line-height: 1.5;
height: 46px;
}
.nav-ul-2 > li {
margin-left: 20px;
}
.nav-ul-1:hover {
background-color: white;
}

.nav-ul-1 > li a,
.nav-ul-2 > li a,
.nav-ul-3 > li a {
color: var(--color-graphite);
text-decoration: none;
width: calc(100% - 10px);
margin-left: 14px;
}
.nav-ul-1 li:hover > .nav-ul-2 {
visibility: visible;
opacity: 1;
}
.nav-ul-1 > li:hover,
.nav-ul-2 > li:hover,
.nav-ul-3 > li:hover {
background-color: lightgray;
}
.nav-ul-1   > li:hover > a,
.nav-ul-2   > li:hover > a,
.nav-ul-3   > li:hover a,
.nav-info-1 > li:hover a,
.nav-info-2 > li:hover a {
color: var(--color-blue);
}
.nav-info-1,
.nav-info-2 {
padding-left: 34px !important;
pointer-events: none; 
cursor: default;
display: flex;
align-items: center;
color: var(--color-blue);
font-size: 17px;
font-weight: bold;
height: 46px;
}
.nav-info-2 {
padding-left: 54px;
}
.nav-phone::before {
margin-top: -3px;
position: absolute;
content: "";
display: inline-block;
width: 26px;
height: 26px;
background-repeat: no-repeat;
background-position: center;
background-size: 26px 26px;
}
.nav-kievstar::before {
background-image: var(--img-kievstar);
}
.nav-vodafone::before {
background-image: var(--img-vodafone);
background-size: 24px 24px;
}
.nav-viber::before {
background-image: var(--img-viber);
}
.nav-insta::before {
background-image: var(--img-instagram);
}
.nav-ul-3 > li.nav-phone > a {
margin-left: 45px;
}
.nav-ul-3 > li.nav-insta > a {
padding: 0;
margin: 0;
margin-left: 46px;
}
.nav-li-0::before,
.nav-li-1::before,
.nav-li-2::before {
content: "•"; 
color: #000; 
}
.nav-li-1 > a:before {
position: absolute;
content: "";
display: inline-block;
width: 18px;
height: 18px;
font-size: 17px;
background-image: var(--img-arrow);
background-repeat: no-repeat;
background-size: 12px 12px;
background-position: center;
opacity: 0.4;
right: 5px;
margin-top: 2px;
}
.nav-li-1:last-child > a:before{
margin-top: 4px;
}
.nav-body::before {
content: "";
position: fixed;
width: 100%;
height: 100%;
background-color: rgba(0, 0, 0, 0.125);
visibility: visible;
transition: 0.2s linear;
z-index: 598;
}
@media screen and (max-width: 800px) {
nav {
display: none;
}
}
